Responsive-Layout---Basic
=========================

The goal here to make a very lean and basic portfolio website using current languages and tools designed to make the development process more efficient. And if I see some interesting bell or whistle to add to the template (jQuery plug-in, perhaps?), it will be rebuilt here with the goal of using only the bits that are compelling and nothing else.

Oh, and for now, this will be a 'jQuery free' zone. Not because jQuery isn't awesome, but because this exercise is about building things from the bare essentials.

CSS
===
All CSS in this project has been compiled from SASS. The command below watches all '.scss' files in the 'sass' folder for changes, compiles those files into css files with the same name, and copies them to the css folder:

	sass --watch sass:css
	
For more information on SASS, check out: http://sass-lang.com/

JavaScript
==========
All JavaScript in this project has been compiled from CoffeeScript. The command below watches all '.coffee' files in the 'coffee' folder for changes, compiles those files into JavaScript files with the same name, and copies them to the js folder:

	coffee --compile --output js --watch coffee

For more information on CoffeeScript, check out: http://coffeescript.org/

Misc Layout Elements
====================
The div for the logo might appear to break the layout. This is intentional in this case, because my logo is vertical and I like the way it looks as more of a background element. The dimensions and positioning are easily tweakable, particularly if you use the SCSS file (see CSS section), which defines logo width in the layout as a variable at the top of the file.

Lorem Ipsum Content
===================
All of the fpo content comes from Lebowski ipsum http://lebowskiipsum.com/
